import Viz from "./Viz.js";
/**
    Uses d3's [tree layout](https://github.com/d3/d3-hierarchy#tree) to create a tidy tree chart based on an array of data.
*/
export default class Tree extends Viz {
    [key: string]: any;
    /**
        Invoked when creating a new class instance, and sets any default parameters.
        @private
  */
    constructor();
    /**
        Extends the draw behavior of the abstract Viz class.
        @private
  */
    _draw(callback?: () => void): this;
    /**
        Changes the orientation of the entire Tree, either "vertical" (top to bottom) or "horizontal" (left to right).
  */
    orient(_: any): any;
    /**
        The separation function between neighboring nodes.
  
  From the [d3-hierarchy documentation](https://github.com/d3/d3-hierarchy#tree_separation):
  > The separation accessor is used to separate neighboring nodes. The separation function is passed two nodes a and b, and must return the desired separation. The nodes are typically siblings, though the nodes may be more distantly related if the layout decides to place such nodes adjacent.
  
  @example
  function separation(a, b) {
    return a.parent === b.parent ? 1 : 2;
  }
  */
    separation(_: any): any;
}
